use tracing::level_filters::LevelFilter;
use tracing_subscriber::EnvFilter;

pub fn setup_logging() {
    color_eyre::install().expect("Failed to install color_eyre");

    let filter = EnvFilter::builder()
        .with_default_directive(LevelFilter::TRACE.into())
        .parse_lossy("info,chatbot=trace");

    tracing_subscriber::fmt().with_env_filter(filter).init();
}
